GDCM: gdcm::FileChangeTransferSyntax Class Reference

GDCM 3.2.6

Public Member Functions | Static Public Member Functions | List of all members
gdcm::FileChangeTransferSyntax Class Reference

FileChangeTransferSyntax. More...

`#include <gdcmFileChangeTransferSyntax.h>`

Inheritance diagram for gdcm::FileChangeTransferSyntax:
[legend]
Collaboration diagram for gdcm::FileChangeTransferSyntax:
[legend]

## Public Member Functions
| FileChangeTransferSyntax ()
| ~FileChangeTransferSyntax () override
bool | Change ()
| Change the transfer syntax.
ImageCodec * | GetCodec ()
void | SetInputFileName (const char *filename_native)
| Set input filename (raw DICOM).
void | SetOutputFileName (const char *filename_native)
| Set output filename (target compressed DICOM).
void | SetTransferSyntax (TransferSyntax const &ts)
| Specify the Target Transfer Syntax.
Public Member Functions inherited from gdcm::Subject
| Subject ()
| ~Subject () override
unsigned long | AddObserver (const Event &event, Command *)
unsigned long | AddObserver (const Event &event, Command *) const
Command * | GetCommand (unsigned long tag)
bool | HasObserver (const Event &event) const
void | InvokeEvent (const Event &)
void | InvokeEvent (const Event &) const
void | RemoveAllObservers ()
void | RemoveObserver (unsigned long tag)
Public Member Functions inherited from gdcm::Object
| Object ()
| Object (const Object &)
| Special requirement for copy/cstor, assignment operator.
virtual | ~Object ()
void | operator= (const Object &)
virtual void | Print (std::ostream &) const

## Static Public Member Functions
static SmartPointer< FileChangeTransferSyntax > | New ()
| for wrapped language: instantiate a reference counted object

## Additional Inherited Members
Protected Member Functions inherited from gdcm::Object
void | Register ()
void | UnRegister ()

## Detailed Description

FileChangeTransferSyntax.

This class is a file-based (limited) replacement of the in-memory ImageChangeTransferSyntax.

This class provide a file-based compression-only mechanism. It will take in an uncompressed DICOM image file (Pixel Data element). Then produced as output a compressed DICOM file (Transfer Syntax will be updated).

Currently it supports the following transfer syntax:

- JPEGLosslessProcess14_1

Examples
  FileChangeTS.cs, and FileChangeTSLossy.cs.

## Constructor & Destructor Documentation

## ◆ FileChangeTransferSyntax()

gdcm::FileChangeTransferSyntax::FileChangeTransferSyntax | ( |  | ) |

Referenced by New().

## ◆ ~FileChangeTransferSyntax()

gdcm::FileChangeTransferSyntax::~FileChangeTransferSyntax | ( |  | ) |
| override

## Member Function Documentation

## ◆ Change()

bool gdcm::FileChangeTransferSyntax::Change | ( |  | ) |

Change the transfer syntax.

Examples
  FileChangeTS.cs, and FileChangeTSLossy.cs.

## ◆ GetCodec()

ImageCodec * gdcm::FileChangeTransferSyntax::GetCodec | ( |  | ) |

Retrieve the actual codec (valid after calling SetTransferSyntax) Only advanced users should call this function.

Examples
  FileChangeTSLossy.cs.

## ◆ New()

SmartPointer< FileChangeTransferSyntax > gdcm::FileChangeTransferSyntax::New | ( |  | ) |
| inlinestatic

for wrapped language: instantiate a reference counted object

Examples
  FileChangeTS.cs, and FileChangeTSLossy.cs.

References FileChangeTransferSyntax().

## ◆ SetInputFileName()

void gdcm::FileChangeTransferSyntax::SetInputFileName | ( | const char * | filename_native | ) |

Set input filename (raw DICOM).

Examples
  FileChangeTS.cs, and FileChangeTSLossy.cs.

## ◆ SetOutputFileName()

void gdcm::FileChangeTransferSyntax::SetOutputFileName | ( | const char * | filename_native | ) |

Set output filename (target compressed DICOM).

Examples
  FileChangeTS.cs, and FileChangeTSLossy.cs.

## ◆ SetTransferSyntax()

void gdcm::FileChangeTransferSyntax::SetTransferSyntax | ( | TransferSyntax const & | ts | ) |

Specify the Target Transfer Syntax.

Examples
  FileChangeTS.cs, and FileChangeTSLossy.cs.

The documentation for this class was generated from the following file:

- gdcmFileChangeTransferSyntax.h